### Function

# Dex data_input_stream_read_line_utf8

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_data_input_stream_read_line_utf8 (
      GDataInputStream* stream,
      int io_priority
    )

#### Description [src]

Reads a UTF-8 line from the data input stream.

Wraps `g_data_input_stream_read_line_async()` with `g_data_input_stream_read_line_finish_utf8()`.

Available since: 1.2

#### Parameters

`stream`

  Type: `GDataInputStream`

  A `GDataInputStream`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string containing the line (without the line terminator), or `NULL` if the end of the stream is reached.

The caller of the function takes ownership of the data, and is responsible for freeing it.